//选择完事件
  $(".fileInput").on("filebatchselected", function(event, files) {
  	$(this).fileinput("upload");// 执行上传动作
  });

  // 文件移除事件
  $('.fileInput').on('filecleared', function() {
  	$("#" + this.id.replace("_file", "")).val("");
  });

  // 上传完成事件
  $(".fileInput").on("fileuploaded",function(event, data, previewId, index) {
  	if (data.response.successful == true || data.response.successful == "true") {
  		var imgPath = data.response.data.url;
  		var objId = this.id.replace("_file", "");
  		$("#" + objId).val(imgPath);
  		$("#" + objId+"_img").css({
              "background" : "url(" + ctx + imgPath + ") no-repeat",
              "background-size" : "100%"
          });
  	} else {
  		if (data.response.msg != null && data.response.msg != "") {
  			toastr.error(data.response.msg);
  		}
  	}
  });